# LiteDialect Class Reference
[Connectors and dialects for various databases]

SQLite dialect. More...

Inheritance diagram for LiteDialect:
[legend]

List of all members.

## Public Member Functions

| quoteBinary ($data)
| unquoteBinary ($data)
| typeToString (DataType $type)
| preAutoincrement (DBColumn $column)
| postAutoincrement (DBColumn $column)
| hasTruncate ()
| hasMultipleTruncate ()
| hasReturning ()

## Static Public Member Functions

static | me ()
static | quoteValue ($value)
static | dropTableMode ($cascade=false)

## Static Private Member Functions

static | checkColumn (DBColumn $column)

## Detailed Description

SQLite dialect.

See also:
  http://www.sqlite.org/

Definition at line 19 of file LiteDialect.class.php.

## Member Function Documentation

static LiteDialect::checkColumn | ( | DBColumn $ | column | ) | `[static, private]`

Definition at line 101 of file LiteDialect.class.php.

References DataType::BIGINT, DBColumn::getType(), DataType::INTEGER, DBColumn::isPrimaryKey(), and Assert::isTrue().

Referenced by postAutoincrement(), and preAutoincrement().

Here is the call graph for this function:

static LiteDialect::dropTableMode | ( | $ | cascade = `false` | ) | `[static]`

Reimplemented from Dialect.

Definition at line 42 of file LiteDialect.class.php.

LiteDialect::hasMultipleTruncate | ( |  | ) |

Reimplemented from Dialect.

Definition at line 91 of file LiteDialect.class.php.

LiteDialect::hasReturning | ( |  | ) |

Reimplemented from Dialect.

Definition at line 96 of file LiteDialect.class.php.

LiteDialect::hasTruncate | ( |  | ) |

Reimplemented from Dialect.

Definition at line 86 of file LiteDialect.class.php.

static LiteDialect::me | ( |  | ) | `[static]`

Returns:
  LiteDialect

Implements Instantiatable.

Definition at line 24 of file LiteDialect.class.php.

References Singleton::getInstance().

Referenced by SQLite::getDialect().

Here is the call graph for this function:

LiteDialect::postAutoincrement | ( | DBColumn $ | column | ) |

Reimplemented from Dialect.

Definition at line 79 of file LiteDialect.class.php.

References checkColumn().

Here is the call graph for this function:

LiteDialect::preAutoincrement | ( | DBColumn $ | column | ) |

Reimplemented from Dialect.

Definition at line 72 of file LiteDialect.class.php.

References checkColumn().

Here is the call graph for this function:

LiteDialect::quoteBinary | ( | $ | data | ) |

Reimplemented from Dialect.

Definition at line 47 of file LiteDialect.class.php.

static LiteDialect::quoteValue | ( | $ | value | ) | `[static]`

See also:
  Sequenceless for this convention

Definition at line 29 of file LiteDialect.class.php.

References Assert::checkInteger().

Here is the call graph for this function:

LiteDialect::typeToString | ( | DataType $ | type | ) |

Reimplemented from Dialect.

Definition at line 57 of file LiteDialect.class.php.

References DataType::BIGINT, DataType::BINARY, and Enumeration::getId().

Here is the call graph for this function:

LiteDialect::unquoteBinary | ( | $ | data | ) |

Reimplemented from Dialect.

Definition at line 52 of file LiteDialect.class.php.

The documentation for this class was generated from the following file:

- core/DB/LiteDialect.class.php